Bug 560232 - ZipFile.getEntry() [abrt] crash in java-1.6.0-openjdk-devel-1:1.6.0.0-33.b16.fc12
ZipFile.getEntry() [abrt] crash in java-1.6.0-openjdk-devel-1:1.6.0.0-33.b16....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Haley
Fedora Extras Quality Assurance
abrt_hash:8352521919eace36742fea57a92...
: Reopened
: 590334 602364 618001 625208 627182 629231 640012 640726 647183 647258 674155 675461 676340 677480 678722 732792 905347 1015855 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-30 09:19 EST by Milos Jakubicek
Modified: 2013-12-20 10:32 EST (History)
38 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 13:30:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (63.30 KB, text/plain)
2010-01-30 09:19 EST, Milos Jakubicek
no flags Details
hs_err_pid21290.log (35.17 KB, text/plain)
2010-01-30 09:20 EST, Milos Jakubicek
no flags Details
failing srpm (3.20 MB, application/x-rpm)
2010-01-30 09:40 EST, Milos Jakubicek
no flags Details
similar crash building Eclipse SDK (25.51 KB, text/plain)
2010-05-05 12:33 EDT, Andrew Overholt
no flags Details
This is the dump (72.22 KB, application/octet-stream)
2010-10-20 12:52 EDT, Adam Carbone
no flags Details

  None (edit)
Description Milos Jakubicek 2010-01-30 09:19:50 EST
abrt 1.0.4 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib/jvm/java/bin/java -classpath /usr/share/maven2/boot/classworlds.jar -Dclassworlds.conf=/usr/share/maven2/bin/m2.conf -Dmaven.home=/usr/share/maven2 org.codehaus.classworlds.Launcher '\""-Dmaven2.offline.mod\"' '\""-Dmaven2.ignore.version\"' '\""-Dmaven2.usejppjar\"' '\""-\"' '\""/home/milos/fedora/cvs/antlr3/devel/antlr-3.2/settings.xm\"' '\""-Dmaven.repo.local=/home/milos/fedora/cvs/antlr3/devel/antlr-3.2/.m2/repositor\"' '\""-Dmaven.test.skip=tru\"' '\""instal\"' '\""packag\"' '\""assembly:assembl\"'
component: java-1.6.0-openjdk
executable: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/bin/java
kernel: 2.6.31.9-174.fc12.x86_64
package: java-1.6.0-openjdk-devel-1:1.6.0.0-33.b16.fc12
rating: 3
reason: Process was terminated by signal 6 (Aborted)
release: Fedora release 12 (Constantine)

How to reproduce
-----
I was working on a new antlr3 package and this happened during a mvn build, here's the error message:

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGBUS (0x7) at pc=0x00007f5db4c4b092, pid=21290, tid=140040453543696
#
# JRE version: 6.0-b16
# Java VM: OpenJDK 64-Bit Server VM (14.0-b16 mixed mode linux-amd64 )
# Distribution: Custom build (Thu Nov 12 09:47:56 EST 2009)
# Problematic frame:
# C  [libzip.so+0x4092]
#
# An error report file with more information is saved as:
# /home/milos/fedora/cvs/antlr3/devel/antlr-3.2/hs_err_pid21290.log
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
/usr/bin/mvn-jpp: line 10: 21290 Aborted                 (core dumped) $M2_HOME/bin/mvn -Dmaven2.offline.mode -Dmaven2.ignore.versions -Dmaven2.usejppjars $@
Comment 1 Milos Jakubicek 2010-01-30 09:19:54 EST
Created attachment 387735 [details]
File: backtrace
Comment 2 Milos Jakubicek 2010-01-30 09:20:57 EST
Created attachment 387736 [details]
hs_err_pid21290.log
Comment 3 Milos Jakubicek 2010-01-30 09:40:52 EST
Created attachment 387737 [details]
failing srpm
Comment 4 Milos Jakubicek 2010-01-30 09:42:18 EST
(Un)fortunately the problem is reproducible -- just try to rebuild the attached srpm.
Comment 5 Andrew Haley 2010-02-11 06:04:55 EST
Created attachment 390218 [details]
Log

This doesn't seem to be reproducible on F12.

If you can extract the jar file and run the command outside rpmbuild I'll have a look.
Comment 6 Andrew Overholt 2010-05-05 09:44:39 EDT
I've experienced a similar crash building Eclipse but only on F13.
Comment 7 Mark Wielaard 2010-05-05 10:08:28 EDT
And another case can (sometimes) be triggered through:
1. rpm -Uvh plexus-utils from here: https://koji.fedoraproject.org/koji/buildinfo?buildID=171530
2. download SRPM from http://koji.fedoraproject.org/koji/getfile?taskID=2164737&name=maven-doxia-1.1.2-2.fc14.src.rpm
3. rpmbuild --rebuild maven-doxia-1.1.2-2.fc14.src.rpm

This also fails in koji. e.g.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2164075
http://koji.fedoraproject.org/koji/taskinfo?taskID=2164760
Comment 8 Andrew Overholt 2010-05-05 12:33:08 EDT
Created attachment 411668 [details]
similar crash building Eclipse SDK

Here's a trimmed log of an Eclipse SDK build that exhibited a similar JVM crash.
Comment 9 Omair Majid 2010-06-15 11:59:56 EDT
Looks like the same thing as #466034

Also, see http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=363
Comment 10 Omair Majid 2010-08-19 12:00:17 EDT
*** Bug 625208 has been marked as a duplicate of this bug. ***
Comment 11 Omair Majid 2010-08-25 15:06:12 EDT
*** Bug 627182 has been marked as a duplicate of this bug. ***
Comment 12 Omair Majid 2010-08-25 16:47:12 EDT
*** Bug 602364 has been marked as a duplicate of this bug. ***
Comment 13 Deepak Bhole 2010-09-01 09:30:34 EDT
*** Bug 629231 has been marked as a duplicate of this bug. ***
Comment 14 Omair Majid 2010-09-07 12:09:59 EDT
*** Bug 618001 has been marked as a duplicate of this bug. ***
Comment 15 Joe watson 2010-09-09 01:48:44 EDT
Package: java-1.6.0-openjdk-1:1.6.0.0-42.b18.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Installed eclipse* via yum. 
2. Uninstalled eclipse-j* via yum
3. 


Comment
-----
I removed the application because, it would not launch. When doing so, the crash occurred.
Comment 16 Arthur 2010-09-27 21:10:08 EDT
Package: java-1.6.0-openjdk-1:1.6.0.0-42.b18.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Went to the Absolutist website
2.Half way through filling out info boxes for software purchase
3.Java 1.6.0 crashed freezing up Mozilla/Firefox.
Comment 17 Antoine Martin 2010-09-28 15:21:35 EDT
Package: java-1.6.0-openjdk-1:1.6.0.0-42.b18.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Eclipse was left running on another workspace...
2.It crashed on its own


Comment
-----
Nothing in particular: I wasn't even using it at the time!
Comment 18 Stephen Gallagher 2010-09-30 08:55:47 EDT
Package: java-1.6.0-openjdk-1:1.6.0.0-42.b18.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I did nothing, eclipse just crashed while it was idle.
2.
3.
Comment 19 Deepak Bhole 2010-10-06 13:46:30 EDT
*** Bug 640726 has been marked as a duplicate of this bug. ***
Comment 20 Keith 2010-10-16 22:32:59 EDT
Package: java-1.6.0-openjdk-1:1.6.0.0-42.b18.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. 
2.
3.
Comment 21 Keith 2010-10-16 22:35:31 EDT
I didn't do anything, I was just browsing the web. WebCT college site was using Java.
Comment 22 Adam Carbone 2010-10-20 12:49:07 EDT
Package: java-1.6.0-openjdk-1:1.6.0.0-42.b18.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Tryed to start eclipse
2.
3.
Comment 23 Adam Carbone 2010-10-20 12:52:05 EDT
Created attachment 454615 [details]
This is the dump

Adding the thread dump, this seems to be happening with both the sun java and openjdk so this could be an upstream issue.
Comment 24 Deepak Bhole 2010-10-27 10:40:58 EDT
*** Bug 647183 has been marked as a duplicate of this bug. ***
Comment 25 Deepak Bhole 2010-10-27 15:01:31 EDT
*** Bug 647258 has been marked as a duplicate of this bug. ***
Comment 26 Bug Zapper 2010-11-03 19:31:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Bug Zapper 2010-12-03 18:35:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 28 Deepak Bhole 2010-12-09 10:56:55 EST
This bug should be kept open for tracking.
Comment 29 Deepak Bhole 2010-12-09 10:58:07 EST
*** Bug 640012 has been marked as a duplicate of this bug. ***
Comment 30 Omair Majid 2011-02-08 13:36:44 EST
*** Bug 674155 has been marked as a duplicate of this bug. ***
Comment 31 Omair Majid 2011-02-09 10:33:05 EST
*** Bug 676340 has been marked as a duplicate of this bug. ***
Comment 32 Deepak Bhole 2011-02-11 09:41:59 EST
*** Bug 675461 has been marked as a duplicate of this bug. ***
Comment 33 Stephen 2011-02-12 09:37:50 EST
Package: java-1.6.0-openjdk-1:1.6.0.0-51.1.9.5.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Accessed the Boston University Vista website via firefox
2.
3.
Comment 34 Olof Tångrot 2011-02-13 04:38:48 EST
Package: java-1.6.0-openjdk-1:1.6.0.0-51.1.9.5.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I had started eclipse building the Hello Andrioid from a tutorial
2. The AVD had been started.
3. Did nothing special in Eclipse it was running in the back ground.
Comment 35 Deepak Bhole 2011-02-15 09:14:09 EST
*** Bug 677480 has been marked as a duplicate of this bug. ***
Comment 36 Deepak Bhole 2011-02-18 20:39:34 EST
*** Bug 678722 has been marked as a duplicate of this bug. ***
Comment 37 musicalboss 2011-02-20 00:01:22 EST
Package: java-1.6.0-openjdk-1:1.6.0.0-52.1.9.7.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.My MIDI in Rosegarden, Pianobooster and other software were not working
2. I was tinkering with my hardware interface
3. IT is still not working
Comment 38 tobyknudsen@gmail.com 2011-02-21 16:06:18 EST
Package: java-1.6.0-openjdk-1:1.6.0.0-52.1.9.7.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. no idea
2.
3.
Comment 39 tobyknudsen@gmail.com 2011-02-22 19:01:38 EST
Package: java-1.6.0-openjdk-1:1.6.0.0-52.1.9.7.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. logged into Blackboard at uml.edu, applet started
2. crash
3.
Comment 40 Deepak Bhole 2011-03-28 12:51:39 EDT
*** Bug 590334 has been marked as a duplicate of this bug. ***
Comment 41 Deepak Bhole 2011-08-23 11:54:54 EDT
*** Bug 732792 has been marked as a duplicate of this bug. ***
Comment 42 Deepak Bhole 2013-01-29 15:33:31 EST
*** Bug 905347 has been marked as a duplicate of this bug. ***
Comment 43 Constantine Karnacevych 2013-01-29 16:42:53 EST
happens when Zend Studio 9.0.4 runs and then fails

backtrace_rating: 3
Package: java-1.7.0-openjdk-1.7.0.9-2.3.4.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 44 Constantine Karnacevych 2013-01-29 19:41:09 EST
Zend Studio crashes with the only output
GLib-GObject:ERROR:gobject.c:4140:g_weak_ref_set: assertion failed: 
(weak_locations != NULL)
Comment 45 Danny McKinney 2013-02-19 23:48:02 EST
Trying to start Eclipse Application.

backtrace_rating: 3
Package: java-1.7.0-openjdk-1.7.0.9-2.3.5.3.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 46 Danny McKinney 2013-02-26 11:19:46 EST
1. Initial startup Eclipse IDE. 
2. Attempted to open menu item then application crashed.


backtrace_rating: 3
Package: java-1.7.0-openjdk-1.7.0.9-2.3.7.0.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 47 Vladimir 2013-02-26 12:38:33 EST
After instalation FC18 x86 from Live CD

Grub not boot

Boot with Live CD

Alt-F1                 user: root ...

mkdir /mnt/sysimage

mount /dev/mapper/fedora-root /mnt/sysimage

mount /dev/sda1 /mnt/sysimage/boot

cd /dev

cp -r * /mnt/sysimage/dev

chroot /mnt/sysimage

grub2-install /dev/sda

reboot                  ; Boot Ok!

yum update

yum install eclipse-pydev

             = Crash - report =



backtrace_rating: 3
Package: java-1.7.0-openjdk-1.7.0.9-2.3.7.0.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 48 Deepak Bhole 2013-02-26 13:30:26 EST
This bug is caused due to the use of mmap to speed up processing of zip files and jars. It is not really resolvable as the use of mmap is intentional and the the performance gains from memory mapping are too significant to give up.

Furthermore, if a zip/jar is changing while it is loaded, it is considered an application error (see http://www.oracle.com/technetwork/java/javase/documentation/overview-156328.html, section about changes in 6u21-rev-b09).

If applications are likely to encounter changing zip or jar files at run time, the best course of action is to supply -Dsun.zip.disableMemoryMapping which disables mmap for that instance.
Comment 49 Dragan Milivojevic 2013-04-29 17:52:02 EDT
For those who found this page and have a problem with Zend Studio and:
"GLib-GObject:ERROR:gobject.c:4140:g_weak_ref_set: assertion failed:" error.

I had the same issue, one workstation Fedora 18 had no problems the other
got this error every time. I haven't found the exact cause but this seems to 
be triggered by some missing library. Anyway I checked the installed packages 
on the ws that had issues and installed all the packages that the trouble free 
ws had and the second didn't. Here is the list, it's and ugly fix but works:


yum install      ORBit2.x86_64 PyQwt.x86_64 SDL.x86_64 SDL_image.x86_64 aalib-libs.x86_64 aic94xx-firmware.noarch alsa-lib.i686 apg.x86_64 apr.x86_64 apr-util.x86_64 aqbanking.x86_64 at-spi2-atk.i686 at-spi2-core.i686 atk.i686 atmel-firmware.noarch atop.x86_64 audacity.x86_64 audit-libs.i686 autoconf.noarch automake.noarch avahi-libs.i686 bchunk.x86_64 boost-filesystem.x86_64 boost-regex.x86_64 boost-test.x86_64 bzip2-libs.i686 cairo.i686 cairo-gobject.i686 cdparanoia-libs.i686 cegui06.x86_64 celt051.x86_64 cmake.x86_64 colord-libs.i686 cracklib.i686 crda.x86_64 crystalhd-firmware.noarch cuetools.x86_64 cups-libs.i686 dbus-libs.i686 dd_rescue.x86_64 dirac-libs.x86_64 directfb.x86_64 dstat.noarch enca.x86_64 expat.i686 ffmpeg.x86_64 ffmpeg-libs.x86_64 fftw.x86_64 fftw-devel.x86_64 fftw-libs.x86_64 fftw-libs-double.i686 fftw-libs-long.x86_64 fftw-libs-quad.x86_64 fftw-libs-single.x86_64 firewall-applet.noarch flac.i686 fluidsynth-libs.x86_64 fontconfig.i686 freeglut.x86_64 freetype.i686 fribidi.x86_64 game-music-emu.x86_64 gamin.i686 gcc-c++.x86_64 gdk-pixbuf2.i686 geoclue.x86_64 git.x86_64 glib.x86_64 glib2.i686 glibc.i686 gnome-python2-desktop.x86_64 gnome-python2-gconf.x86_64 gnome-python2-gnomekeyring.x86_64 gnome-user-docs.noarch gnome-vfs2.x86_64 gnutls.i686 gnutls-utils.x86_64 goffice08.x86_64 google-chrome-stable.x86_64 graphite2.i686 gsm.i686 gstreamer.i686 gstreamer-plugins-bad-free.i686 gstreamer-plugins-base.i686 gtk+.x86_64 gtk-vnc.x86_64 gtk-vnc-python.x86_64 gtk3.i686 gtkmm24.x86_64 gtkspell.x86_64 guile.x86_64 gvfs.x86_64 gvnc.x86_64 gwenhywfar.x86_64 gwenhywfar-gui-gtk2.x86_64 harfbuzz.i686 htop.x86_64 jasper-libs.i686 jbigkit-libs.i686 json-c.i686 k3b-extras-freeworld.x86_64 kate.x86_64 kate-libs.x86_64 kdesdk-common.noarch kdesdk-kompare.x86_64 kdesdk-kompare-libs.x86_64 keychain.noarch keyutils-libs.i686 kplayer.x86_64 krb5-libs.i686 ktoblzcheck.x86_64 lame.x86_64 lash.x86_64 lcms-libs.i686 lcms2.i686 libICE.i686 libIDL.x86_64 libSM.i686 libX11.i686 libXScrnSaver.i686 libXau.i686 libXcomposite.i686 libXcursor.i686 libXdamage.i686 libXevie.i686 libXext.i686 libXfixes.i686 libXft.i686 libXi.i686 libXinerama.i686 libXrandr.i686 libXrender.i686 libXtst.i686 libXv.i686 libXxf86vm.i686 libass.x86_64 libasyncns.i686 libattr.i686 libblkid.i686 libbluray.x86_64 libbonobo.x86_64 libbonoboui.x86_64 libbs2b.x86_64 libcaca.x86_64 libcacard.x86_64 libcap.i686 libcddb.x86_64 libcom_err.i686 libcroco.i686 libcrystalhd.x86_64 libdb.i686 libdbi.x86_64 libdc1394.x86_64 libdrm.i686 libdvbpsi.x86_64 libdvdnav.i686 libdvdread.i686 libebml.x86_64 libffi.i686 libgcc.i686 libgcrypt.i686 libglademm24.x86_64 libgnome.x86_64 libgnomeui.x86_64 libgomp.i686 libgpg-error.i686 libgsf.x86_64 libgudev1.i686 libgusb.i686 libicu.i686 libid3tag.x86_64 libjpeg-turbo.i686 libkate.x86_64 libmatroska.x86_64 libmikmod.x86_64 libmng.i686 libmodplug.x86_64 libmpcdec.i686 libofa.i686 libofx.x86_64 libogg.i686 libpciaccess.i686 libpng.i686 libpng12.x86_64 libreoffice-kde.x86_64 librsvg2.i686 libsecret.x86_64 libselinux.i686 libsndfile.i686 libstdc++.i686 libstdc++-devel.x86_64 libtasn1.i686 libthai.i686 libtheora.i686 libtiff.i686 libtiger.x86_64 libtool.x86_64 libupnp.x86_64 libusbx.i686 libusbx-devel.x86_64 libusbx-devel-doc.noarch libuuid.i686 libvdpau.i686 libvirt-client.x86_64 libvirt-python.x86_64 libvisual.i686 libvorbis.i686 libvpx.i686 libwayland-client.i686 libwayland-server.i686 libwsman1.x86_64 libxcb.i686 libxml2.i686 live555.x86_64 logwatch.noarch lrzip.x86_64 mencoder.x86_64 mesa-libEGL.i686 mesa-libGL.i686 mesa-libGLES.x86_64 mesa-libgbm.i686 mesa-libglapi.i686 minizip.x86_64 mplayer.x86_64 mplayer-common.x86_64 mplayer-gui.x86_64 mplayer-tools.x86_64 ncurses-libs.i686 network-manager-applet.x86_64 nmap.x86_64 nspluginwrapper.x86_64 nss-softokn-freebl.i686 numpy.x86_64 numpy-f2py.x86_64 opencv.x86_64 opensp.x86_64 openssl-libs.i686 opus.i686 orc.i686 p11-kit.i686 pam.i686 paman.x86_64 pango.i686 pax.x86_64 pcre.i686 perl-CGI.noarch perl-CPAN.noarch perl-Class-ISA.noarch perl-Crypt-SSLeay.x86_64 perl-Date-Manip.noarch perl-Digest-SHA.x86_64 perl-Error.noarch perl-ExtUtils-Install.noarch perl-ExtUtils-MakeMaker.noarch perl-ExtUtils-Manifest.noarch perl-ExtUtils-ParseXS.noarch perl-FCGI.x86_64 perl-Finance-Quote.noarch perl-Git.noarch perl-HTML-TableExtract.noarch perl-HTML-Tree.noarch perl-HTTP-Tiny.noarch perl-Locale-Codes.noarch perl-Pod-Plainer.noarch perl-Sys-CPU.x86_64 perl-Sys-MemInfo.x86_64 perl-Test-Harness.noarch perl-Test-Simple.noarch perl-XML-LibXML.x86_64 perl-XML-NamespaceSupport.noarch perl-XML-SAX.noarch perl-XML-SAX-Base.noarch perl-YAML-Syck.x86_64 perl-devel.x86_64 pixman.i686 pkgconfig.i686 portaudio.x86_64 prozilla.x86_64 pulseaudio-libs.i686 python-cheetah.x86_64 python-devel.x86_64 python-imaging.x86_64 python-linux-procfs.noarch python-lxml.x86_64 python-markdown.noarch python-nose.noarch python-pygments.noarch python-schedutils.x86_64 python-setuptools.noarch python-virtinst.noarch qt.i686 qt-mobility.i686 qt-x11.i686 qt3.x86_64 qtwebkit.i686 qwt5-qt4.x86_64 rarian.x86_64 rarian-compat.x86_64 readline.i686 redhat-lsb.x86_64 redhat-lsb-core.x86_64 redhat-lsb-cxx.x86_64 redhat-lsb-desktop.x86_64 redhat-lsb-languages.x86_64 redhat-lsb-printing.x86_64 redhat-lsb-submod-multimedia.x86_64 redhat-lsb-submod-security.x86_64 schroedinger.x86_64 scipy.x86_64 shntool.x86_64 soundtouch.i686 sox.x86_64 spice-client.x86_64 spice-glib.x86_64 spice-gtk.x86_64 spice-gtk-python.x86_64 spice-gtk-tools.x86_64 sqlite.i686 staging-kmod-addons.x86_64 subversion.x86_64 subversion-libs.x86_64 suitesparse.x86_64 system-storage-manager.noarch systemd-libs.i686 systemtap-sdt-devel.x86_64 tbb.x86_64 tcl.x86_64 tcp_wrappers-libs.i686 tix.x86_64 tk.x86_64 tkinter.x86_64 tslib.x86_64 tuna.noarch unrar.x86_64 usbredir.x86_64 vamp-plugin-sdk.x86_64 vcdimager.x86_64 vcdimager-libs.x86_64 vlc.x86_64 vlc-core.x86_64 vlc-extras.x86_64 vlc-plugin-jack.x86_64 vte.x86_64 webkitgtk.x86_64 webkitgtk3.x86_64 wget.x86_64 wireless-tools.x86_64 wxBase.x86_64 wxGTK.x86_64 wxGTK-gl.x86_64 wxGTK-media.x86_64 wxPython.x86_64 xcb-util-keysyms.x86_64 xmms-libs.x86_64 xmms-pulse.x86_64 xvidcore.x86_64 xz-libs.i686 yelp.x86_64 yelp-libs.x86_64 yelp-xsl.noarch yum-plugin-remove-with-leaves.noarch zd1211-firmware.noarch zlib.i686 zvbi.x86_64
Comment 50 Frank Murphy 2013-06-27 11:01:53 EDT
Just got this bz, how\where could I place that workaround into azureus

cat /usr/bin/azureus
#!/bin/sh

# Create the fake application dir.
APPDIR=`(cd ~; pwd)`/.azureus/app
if ! test -d $APPDIR; then
  mkdir -p $APPDIR;
fi

SCRIPT_VERSION=2

# Reconstruct the plugins dir.
#rm -rf $APPDIR/plugins
#mkdir -p $APPDIR/plugins
#pushd $APPDIR/plugins > /dev/null 2>&1
#if ls /usr/share/azureus/plugins/* > /dev/null 2>&1;then
#    for pdir in /usr/share/azureus/plugins/*; do
#	ln -s $pdir .;
#    done;
#fi

#popd > /dev/null 2>&1

case $(uname -i) in
        *64)
                SWT=/usr/lib64/eclipse/swt.jar
		LIBDIR=/usr/lib64
                ;;
        *)
                SWT=/usr/lib/eclipse/swt.jar
		LIBDIR=/usr/lib
                ;;
esac
JAVA_HOME=/usr/lib/jvm/java-openjdk LD_LIBRARY_PATH=$LIBDIR/eclipse/plugins/:$LIBDIR/eclipse/:$LIBDIR CLASSPATH=$SWT:`build-classpath bcprov apache-commons-cli log4j`:/usr/share/azureus/Azureus2.jar java -Dazureus.install.path=$APPDIR -Dazureus.script.version=$SCRIPT_VERSION -Dazureus.script=$0 -Dorg.eclipse.swt.browser.UseWebKitGTK=true org.gudy.azureus2.ui.swt.Main "$@"
Comment 51 Omair Majid 2013-06-27 11:05:53 EDT
(In reply to Frank Murphy from comment #50)
> Just got this bz, how\where could I place that workaround into azureus

If you have an azureus-specific patch, please file a bug against azureus and include the patch. The azureus maintainer will be in the best position to advice you about the best path forward.
Comment 52 Deepak Bhole 2013-10-11 16:28:17 EDT
*** Bug 1015855 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.